/* 
 TMP35 read data and print to serial monitor in Celsius.
 Balint Kiss; 2015.07.09
 eskolar.com
 --------------
 
 A TMP35 Vout laban 10 mV 1 ℃-nak felel meg.
 Ahanyszor 10 mV-unk van, anyi ℃ a homerseklet.
 Ezt az erteket olvassuk le, utanna a Serial Montor-on
 (soros porton) keresztul kirjuk.
 
 TMP35 (front view)
     |||
 Vin/ | \GND
      Vout
 */


float TMP35; // A szenzor kimente -> lebegopontos
float temp = 0;// A ℃ fokba atalakitott ertek

//inditaskor fut le
void setup() {
Serial.begin(9600); // Soros kapcsolat inditasa, baud rate beallitas

}

//folyamatosan ismetlodik
void loop() {
TMP35 = analogRead(A4); //analog leolvasas (A4 = P1_4)
temp = ((TMP35*3300)/1023)/10;// konvertalas mV-ba utanna ℃-ba

Serial.print("Analog Read  --->  ");
Serial.print(TMP35); //adatok kiirasa
Serial.print(" = ");
Serial.print(temp); //adatok kiirasa
Serial.println(" C");
delay(100); // 0.1 mp szunet
}
